<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'vidgyor',

    /*
     * Package.
     */
    'package'   => 'category',

    /*
     * Modules.
     */
    'modules'   => ['video_category'],

    
    'video_category'       => [
        'model' => [
            'model'                 => \Vidgyor\Category\Models\VideoCategory::class,
            'table'                 => 'video_categories',
            'presenter'             => \Vidgyor\Category\Repositories\Presenter\VideoCategoryPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'parent_id',  'channel_id',  'name',  'slug',  'created_at',  'deleted_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'category/video_category',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Vidgyor',
            'package'   => 'Category',
            'module'    => 'VideoCategory',
        ],

    ],
];
